%global chkdate 061310_pro

Summary:       network probe
Name:          nprobe
Version:       5.6.2
Release:       1%{?dist}
License:       GPLv2+
Group:         Networking/Utilities
URL:           http://www.ntop.org/nProbe.html
# David, where did you get this file from?
Source0:       %{name}_%{version}_%{chkdate}.tgz
# CentOS5 doesn't have python-config
Patch0:        nprobe-centos-python.patch
# Correct libdir for 64bit systems
Patch1:        nprobe-libdir.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: GeoIP-devel
BuildRequires: libtool
BuildRequires: libpcap-devel
BuildRequires: mysql-devel
BuildRequires: pcre-devel
BuildRequires: python-devel
BuildRequires: tcp_wrappers

%description
nprobe is a software NetFlow v5/v9 and nFlow probe that allows to turn 
a PC into a NetFlow probe. It has been designed to be compact, easy to 
embed, an memory/CPU savvy.

%prep
%setup -q -n %{name}_%{version}_%{chkdate}
%patch0 -p1
%patch1 -p1

# Don't run ./configure in autogen.sh
sed -i -e 's|./configure|echo|' autogen.sh


%build
./autogen.sh
%configure --enable-shared --disable-static

make %{?_smp_mflags} plugindir=%{_libdir}/nprobe/plugins


%install
make DESTDIR=$RPM_BUILD_ROOT plugindir=%{_libdir}/nprobe/plugins install 

# Damn the devil
rm -fr $RPM_BUILD_ROOT%{_libdir}/libnprobe.{a,la} \
       $RPM_BUILD_ROOT%{_libdir}/nprobe/plugins/*.{a,la}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc README
%{_bindir}/nprobe
%{_libdir}/libnprobe*.so
%{_libdir}/nprobe/


%changelog
* Tue Sep 14 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 5.6.2-1
- CentOS port. specfile from upstream tarball

* Fri Jan 27 2006 Fernanda Weiden <nanda@google.com> 4.0
- Original upstream version


